Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AddFileToDownloads

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.File>
it.tdlight.jni.TdApi.AddFileToDownloads

Enclosing class:
  TdApi

public static final class TdApi.AddFileToDownloads extends TdApi.Function<TdApi.File>
Adds a file from a message to the list of file downloads. Download progress and completion of the download will be notified through updateFile updates. If message database is used, the list of file downloads is persistent across application restarts. The downloading is independent from download using downloadFile, i.e. it continues if downloadFile is canceled or is used to download a part of the file.

Returns `File`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier of the message with the file.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`fileId`
Identifier of the file to download.
`long`
`messageId`
Message identifier.
`int`
`priority`
Priority of the download (1-32).

## Constructor Summary

Constructors
Constructor
Description
`AddFileToDownloads()`
Adds a file from a message to the list of file downloads.
`AddFileToDownloads(int fileId, long chatId, long messageId, int priority)`
Adds a file from a message to the list of file downloads.
`AddFileToDownloads(DataInput input)`
Adds a file from a message to the list of file downloads.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileId

public int fileId
Identifier of the file to download.

### chatId

public long chatId
Chat identifier of the message with the file.

### messageId

public long messageId
Message identifier.

### priority

public int priority
Priority of the download (1-32). The higher the priority, the earlier the file will be downloaded. If the priorities of two files are equal, then the last one for which downloadFile/addFileToDownloads was called will be downloaded first.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AddFileToDownloads

public AddFileToDownloads()
Adds a file from a message to the list of file downloads. Download progress and completion of the download will be notified through updateFile updates. If message database is used, the list of file downloads is persistent across application restarts. The downloading is independent from download using downloadFile, i.e. it continues if downloadFile is canceled or is used to download a part of the file.

Returns `File`

### AddFileToDownloads

public AddFileToDownloads(int fileId, long chatId, long messageId, int priority)
Adds a file from a message to the list of file downloads. Download progress and completion of the download will be notified through updateFile updates. If message database is used, the list of file downloads is persistent across application restarts. The downloading is independent from download using downloadFile, i.e. it continues if downloadFile is canceled or is used to download a part of the file.

Returns `File`

Parameters:
  `fileId` - Identifier of the file to download.
  `chatId` - Chat identifier of the message with the file.
  `messageId` - Message identifier.
  `priority` - Priority of the download (1-32). The higher the priority, the earlier the file will be downloaded. If the priorities of two files are equal, then the last one for which downloadFile/addFileToDownloads was called will be downloaded first.

  Returns `File`

### AddFileToDownloads

public AddFileToDownloads(DataInput input) throws IOException
Adds a file from a message to the list of file downloads. Download progress and completion of the download will be notified through updateFile updates. If message database is used, the list of file downloads is persistent across application restarts. The downloading is independent from download using downloadFile, i.e. it continues if downloadFile is canceled or is used to download a part of the file.

Returns `File`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`